Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHChannel

    java.lang.Object
      java.lang.Thread
          com.mindbright.ssh.SSHChannel

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  SSHListenChannel, SSHRxChannel, SSHTxChannel

public abstract class SSHChannel
extends java.lang.Thread

Field Summary
`protected int` | `channelId`
`protected SSHChannelListener` | `listener`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`SSHChannel(int channelId)`

Method Summary
`void` | `close()`
`int` | `getChannelId()`
`void` | `run()`
`abstract void` | `serviceLoop()`
`void` | `setSSHChannelListener(SSHChannelListener listener)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### channelId

    protected int channelId

### listener

    protected SSHChannelListener listener

Constructor Detail

### SSHChannel

    public SSHChannel(int channelId)

Method Detail

### setSSHChannelListener

    public void setSSHChannelListener(SSHChannelListener listener)

### getChannelId

    public int getChannelId()

### serviceLoop

    public abstract void serviceLoop()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### close

    public void close()

### run

    public void run()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD